TEXFIND(1)

NAME
texfind - graphical tool to search for text in TeX input files

SYNOPSIS

texfind [ OPTION ... ]

DESCRIPTION

texfind is a graphical, interactive tool that helps you searching through TeX input files, including subdirectories, and allows you to do search/replace tasks using perl(1) regular expressions. It opens two windows: One displays the directory hierarchy and allows to select different search directories. The second window is used to enter the query and display the results.

SEARCHING
Enter a search string in the input box at the top, choose the file extension (tex by default) and hit ENTER to start the search. The results will be displayed in the rest of the window. The search string is a perl regular expression (see perlre(1)), which gives you lots of flexibility. The search-and-replace function also uses perl regex syntax, but you can also just use simple strings. Currently there is no way to save changed files.

MENU
Use the right mouse button to open a menu.

File : Currently only used to exit the program

Edit : Copy selections, select or unselect all

Search : Open a Find dialog that allows further searching through the displayed results. The Replace option can be used to replace single or all occurrences of a string, but currently it is not possible to change the file.

View : Select specific lines, and adjust word or character wrapping.

OPTIONS

--font : specify the font used for the menu. Default is courier.

Other options probably exist. I appreciate input by the program authors, experienced users, or Perl geeks.

SEE ALSO

perl(1), perlre(1), texmfstart(1).

BUGS
If the texfind wrapper script is not installed, then you may have to run texfind as follows:
    texmfstart texfind.pl [ options ]
See texmfstart(1). The replace function isn't the most useful one.

AUTHOR
texfind was written for the ConTeXt package by Hans Hagen and Ton Otten, PRAGMA. This manual page was written by Frank Küster <frank@kuesterei.ch> for the Debian GNU/Linux system, and modified by Sanjoy Mahajan <sanjoy@mit.edu>. It may be used and modified by others without contacting the authors.